
Ruby - Bug #7733

Segfault in ::JSON.parse(nil, :quirks_mode => true)

01/23/2013 06:49 PM - sumskyi (Vladysllav Sumskyi)

Status: Closed   

Priority: Normal   

Assignee: naruse (Yui NARUSE)   

Target version: 2.6   

ruby -v: ruby-1.9.3-p374 Backport:  

Description

Steps to reproduce:

run irb sonsole

require 'json'

::JSON.parse(nil, :quirks_mode => true)

Got Segfault

ruby -v:

ruby-1.9.3-p327

ruby-1.9.3-p362

ruby-1.9.3-p374

this is NOT reproducible in 2.0.0-rc1, i.e. I've got "TypeError: can't convert nil into String"

This is unlikely RVM bug, because it is reproducible wirh rbenv

Gdb trace:

-> % gdb --args ruby crash_json.rb

GNU gdb (GDB) SUSE (7.4.50.20120603-2.1.2)

Copyright (C) 2012 Free Software Foundation, Inc.

License GPLv3+: GNU GPL version 3 or later http://gnu.org/licenses/gpl.html

This is free software: you are free to change and redistribute it.

There is NO WARRANTY, to the extent permitted by law.  Type "show copying"

and "show warranty" for details.

This GDB was configured as "x86_64-suse-linux".

For bug reporting instructions, please see:

http://www.gnu.org/software/gdb/bugs/...

Reading symbols from /home/vlad/.rvm/rubies/ruby-1.9.3-p374/bin/ruby...done.

(gdb) run

Starting program: /home/vlad/.rvm/rubies/ruby-1.9.3-p374/bin/ruby crash_json.rb

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib64/libthread_db.so.1".

[New Thread 0x7ffff7ff2700 (LWP 30945)]

Program received signal SIGSEGV, Segmentation fault.

0x00007ffff647b7fa in cParser_initialize () from

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/json/ext/parser.so

Missing separate debuginfos, use: zypper install glibc-debuginfo-2.15-22.17.1.x86_64

(gdb) bt

#0  0x00007ffff647b7fa in cParser_initialize () from

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/json/ext/parser.so

#1  0x00007ffff7b10e1b in vm_call0 () from /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9

#2  0x00007ffff7a43200 in rb_class_new_instance () from /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9

#3  0x00007ffff7b1364c in vm_call_method () from /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9
#4  0x00007ffff7b0b593 in vm_exec_core () from /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9

#5  0x00007ffff7b0fc2b in vm_exec () from /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9

#6  0x00007ffff7b1555d in rb_iseq_eval_main () from /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9

#7  0x00007ffff79f2f8a in ruby_exec_internal () from /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9

#8  0x00007ffff79f3e8d in ruby_exec_node () from /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9

#9  0x00007ffff79f5d1c in ruby_run_node () from /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9

#10 0x000000000040095b in main ()

(gdb)

Stack trace:

-> % irb

1.9.3-374 (main):0 > require 'json'

=> true

1.9.3-374 (main):0 > ::JSON.parse(nil, :symbolize_names => false, :quirks_mode => true)

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/json/common.rb:148: [BUG] Segmentation fault

ruby 1.9.3p374 (2013-01-15 revision 38858) [x86_64-linux]

-- Control frame information -----------------------------------------------

c:0035 p:---- s:0126 b:0126 l:000125 d:000125 CFUNC  :initialize

c:0034 p:---- s:0124 b:0124 l:000123 d:000123 CFUNC  :new

c:0033 p:0025 s:0119 b:0119 l:000118 d:000118 METHOD

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/json/common.rb:148

c:0032 p:0029 s:0114 b:0114 l:001d68 d:000113 EVAL   (pry):2

c:0031 p:---- s:0112 b:0112 l:000111 d:000111 FINISH

c:0030 p:---- s:0110 b:0110 l:000109 d:000109 CFUNC  :eval

c:0029 p:0108 s:0104 b:0104 l:000103 d:000103 METHOD

/home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/pry_instance.rb:275

c:0028 p:0041 s:0097 b:0097 l:000096 d:000096 METHOD

/home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/pry_instance.rb:251

c:0027 p:0022 s:0092 b:0092 l:000068 d:000091 BLOCK 

/home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/pry_instance.rb:231

c:0026 p:---- s:0090 b:0090 l:000089 d:000089 FINISH

c:0025 p:---- s:0088 b:0088 l:000087 d:000087 CFUNC  :loop

c:0024 p:0009 s:0085 b:0085 l:000068 d:000084 BLOCK 

/home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/pry_instance.rb:230

c:0023 p:---- s:0083 b:0083 l:000082 d:000082 FINISH

c:0022 p:---- s:0081 b:0081 l:000080 d:000080 CFUNC  :catch

c:0021 p:0011 s:0077 b:0077 l:000068 d:000076 BLOCK 

/home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/pry_instance.rb:229

c:0020 p:---- s:0075 b:0075 l:000074 d:000074 FINISH

c:0019 p:---- s:0073 b:0073 l:000072 d:000072 CFUNC  :catch

c:0018 p:0058 s:0069 b:0069 l:000068 d:000068 METHOD

/home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/pry_instance.rb:228

c:0017 p:0252 s:0063 b:0063 l:000062 d:000062 METHOD

/home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/pry_class.rb:154

c:0016 p:0174 s:0056 b:0056 l:000055 d:000055 TOP    /home/vlad/.irbrc:24

c:0015 p:---- s:0053 b:0053 l:000052 d:000052 FINISH

c:0014 p:---- s:0051 b:0051 l:000050 d:000050 CFUNC  :load

c:0013 p:0475 s:0047 b:0047 l:001920 d:001920 TOP    /home/vlad/.rvm/scripts/irbrc.rb:62

c:0012 p:---- s:0040 b:0040 l:000039 d:000039 FINISH

c:0011 p:---- s:0038 b:0038 l:000037 d:000037 CFUNC  :require

c:0010 p:0036 s:0034 b:0034 l:000033 d:000033 METHOD

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36

c:0009 p:0095 s:0027 b:0027 l:000026 d:000026 TOP    /home/vlad/.rvm/rubies/ruby-1.9.3-p374/.irbrc:11

c:0008 p:---- s:0025 b:0025 l:000024 d:000024 FINISH

c:0007 p:---- s:0023 b:0023 l:000022 d:000022 CFUNC  :load

c:0006 p:0031 s:0019 b:0019 l:000018 d:000018 METHOD /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/irb/init.rb:236

c:0005 p:0067 s:0015 b:0015 l:000014 d:000014 METHOD /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/irb/init.rb:19

c:0004 p:0047 s:0011 b:0011 l:000010 d:000010 METHOD /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/irb.rb:53

c:0003 p:0142 s:0006 b:0006 l:000d58 d:001a48 EVAL   /home/vlad/.rvm/rubies/ruby-1.9.3-p374/bin/irb:16

c:0002 p:---- s:0004 b:0004 l:000003 d:000003 FINISH

c:0001 p:0000 s:0002 b:0002 l:000d58 d:000d58 TOP

-- Ruby level backtrace information ----------------------------------------

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/bin/irb:16:in <main>' /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/irb.rb:53:in

start'
/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/irb/init.rb:19:in setup'

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/irb/init.rb:236:in run_config'

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/irb/init.rb:236:in load' /home/vlad/.rvm/rubies/ruby-1.9.3-p374/.irbrc:11:in

<top (required)>'

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in require'

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in require'

/home/vlad/.rvm/scripts/irbrc.rb:62:in <top (required)>' /home/vlad/.rvm/scripts/irbrc.rb:62:in load'

/home/vlad/.irbrc:24:in <top (required)>' /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/pry_class.rb:154:in

start'

/home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/pry_instance.rb:228:in repl'

/home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/pry_instance.rb:228:in catch'

/home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/pry_instance.rb:229:in block in repl'

/home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/pry_instance.rb:229:in catch'

/home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/pry_instance.rb:230:in block (2 levels) in repl'

/home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/pry_instance.rb:230:in loop'

/home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/pry_instance.rb:231:in block (3 levels) in repl'

/home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/pry_instance.rb:251:in rep'

/home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/pry_instance.rb:275:in re'

/home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/pry_instance.rb:275:in eval'

(pry):2:in __pry__' /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/json/common.rb:148:in parse'

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/json/common.rb:148:in new'

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/json/common.rb:148:in initialize'

-- C level backtrace information -------------------------------------------

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x191b73) [0x7fa08fdd2b73]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x6506d) [0x7fa08fca606d]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(rb_bug+0xb3) [0x7fa08fca6e63]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x12010f) [0x7fa08fd6110f]

/lib64/libpthread.so.0(+0xf140) [0x7fa08fa34140]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/json/ext/parser.so(+0x17fa) [0x7fa08cde67fa]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x188e1b) [0x7fa08fdc9e1b]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(rb_class_new_instance+0x30) [0x7fa08fcfc200]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x18b64c) [0x7fa08fdcc64c]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x183593) [0x7fa08fdc4593]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x187c2b) [0x7fa08fdc8c2b]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x18804f) [0x7fa08fdc904f]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x1885d5) [0x7fa08fdc95d5]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x6fcfb) [0x7fa08fcb0cfb]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x18b64c) [0x7fa08fdcc64c]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x183593) [0x7fa08fdc4593]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x187c2b) [0x7fa08fdc8c2b]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x18c01c) [0x7fa08fdcd01c]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(rb_rescue2+0x166) [0x7fa08fcad2e6]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x17dcce) [0x7fa08fdbecce]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x18b64c) [0x7fa08fdcc64c]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x183593) [0x7fa08fdc4593]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x187c2b) [0x7fa08fdc8c2b]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x18c632) [0x7fa08fdcd632]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(rb_catch_obj+0xba) [0x7fa08fdc1c6a]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x180d0e) [0x7fa08fdc1d0e]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x18b64c) [0x7fa08fdcc64c]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x183593) [0x7fa08fdc4593]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x187c2b) [0x7fa08fdc8c2b]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x18c632) [0x7fa08fdcd632]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(rb_catch_obj+0xba) [0x7fa08fdc1c6a]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x180d0e) [0x7fa08fdc1d0e]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x18b64c) [0x7fa08fdcc64c]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x183593) [0x7fa08fdc4593]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x187c2b) [0x7fa08fdc8c2b]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(rb_iseq_eval+0x203) [0x7fa08fdce463]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x6e293) [0x7fa08fcaf293]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x6e3f9) [0x7fa08fcaf3f9]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x18b64c) [0x7fa08fdcc64c]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x183593) [0x7fa08fdc4593]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x187c2b) [0x7fa08fdc8c2b]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(rb_iseq_eval+0x203) [0x7fa08fdce463]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x6e293) [0x7fa08fcaf293]
/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(rb_require_safe+0x4cc) [0x7fa08fcb06ac]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x18b64c) [0x7fa08fdcc64c]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x183593) [0x7fa08fdc4593]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x187c2b) [0x7fa08fdc8c2b]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(rb_iseq_eval+0x203) [0x7fa08fdce463]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x6e293) [0x7fa08fcaf293]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x6e3f9) [0x7fa08fcaf3f9]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x18b64c) [0x7fa08fdcc64c]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x183593) [0x7fa08fdc4593]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x187c2b) [0x7fa08fdc8c2b]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(rb_iseq_eval_main+0xad) [0x7fa08fdce55d]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(+0x6af8a) [0x7fa08fcabf8a]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(ruby_exec_node+0x1d) [0x7fa08fcace8d]

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9(ruby_run_node+0x1c) [0x7fa08fcaed1c]

irb() [0x40095b]

/lib64/libc.so.6(__libc_start_main+0xf5) [0x7fa08ed62455]

irb() [0x400989]

-- Other runtime information -----------------------------------------------

Loaded script: irb

Loaded features:

0 enumerator.so

1 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/enc/encdb.so

2 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/enc/trans/transdb.so

3 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/site_ruby/1.9.1/rubygems/defaults.rb

4 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/rbconfig.rb

5 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/site_ruby/1.9.1/rubygems/deprecate.rb

6 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/site_ruby/1.9.1/rubygems/exceptions.rb

7 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/site_ruby/1.9.1/rubygems/custom_require.rb

8 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/site_ruby/1.9.1/rubygems.rb

9 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/e2mmap.rb

10 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/irb/init.rb

11 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/irb/workspace.rb

12 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/irb/inspector.rb

13 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/irb/context.rb

14 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/irb/extend-command.rb

15 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/irb/output-method.rb

16 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/irb/notifier.rb

17 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/irb/slex.rb

18 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/irb/ruby-token.rb

19 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/irb/ruby-lex.rb

20 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/irb/src_encoding.rb

21 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/irb/magic-file.rb

22 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/readline.so

23 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/irb/input-method.rb

24 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/irb/locale.rb

25 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/irb.rb

26 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/site_ruby/1.9.1/rubygems/version.rb

27 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/site_ruby/1.9.1/rubygems/requirement.rb

28 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/site_ruby/1.9.1/rubygems/platform.rb

29 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/site_ruby/1.9.1/rubygems/specification.rb

30 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/site_ruby/1.9.1/rubygems/path_support.rb

31 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/site_ruby/1.9.1/rubygems/dependency.rb

32 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/irb/completion.rb

33 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/prettyprint.rb

34 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/pp.rb

35 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/helpers/base_helpers.rb

36 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/hooks.rb

37 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/method_source-0.8.1/lib/method_source/version.rb

38 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/method_source-0.8.1/lib/method_source/source_location.rb

39 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/method_source-0.8.1/lib/method_source/code_helpers.rb

40 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/method_source-0.8.1/lib/method_source.rb

41 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/shellwords.rb

42 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/stringio.so
43 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/coderay-1.0.8/lib/coderay/version.rb

44 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/coderay-1.0.8/lib/coderay.rb

45 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/optparse.rb

46 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/slop-3.3.3/lib/slop/option.rb

47 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/slop-3.3.3/lib/slop/commands.rb

48 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/slop-3.3.3/lib/slop.rb

49 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/version.rb

50 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/rbx_method.rb

51 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/rbx_path.rb

52 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/code.rb

53 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/helpers/documentation_helpers.rb

54 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/method.rb

55 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/forwardable.rb

56 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/module_candidate.rb

57 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/wrapped_module.rb

58 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/history_array.rb

59 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/helpers/options_helpers.rb

60 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/helpers/command_helpers.rb

61 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/helpers/text.rb

62 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/helpers.rb

63 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/history.rb

64 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/command.rb

65 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/command_set.rb

66 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/default_commands/misc.rb

67 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/default_commands/help.rb

68 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/default_commands/gems.rb

69 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/default_commands/ls.rb

70 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/default_commands/cd.rb

71 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/default_commands/find_method.rb

72 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/default_commands/whereami.rb

73 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/default_commands/context.rb

74 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/default_commands/commands.rb

75 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/delegate.rb

76 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/etc.so

77 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/fileutils.rb

78 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/tmpdir.rb

79 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/thread.rb

80 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/tempfile.rb

81 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/default_commands/gist.rb

82 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/default_commands/input_and_output.rb

83 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/default_commands/introspection.rb

84 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/default_commands/hist.rb

85 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/default_commands/editing.rb

86 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/default_commands/navigating_pry.rb

87 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/default_commands/easter_eggs.rb

88 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/extended_commands/experimental.rb

89 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/commands.rb

90 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/custom_completions.rb

91 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/completion.rb

92 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/plugins.rb

93 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/core_extensions.rb

94 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/ostruct.rb

95 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/config.rb

96 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/coderay-1.0.8/lib/coderay/helpers/plugin.rb

97 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/coderay-1.0.8/lib/coderay/encoder.rb

98 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/coderay-1.0.8/lib/coderay/encoders/terminal.rb

99 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/pry_class.rb

100 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/io/console.so

101 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/indent.rb

102 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/pry_instance.rb

103 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry/cli.rb

104 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/pry-0.9.10/lib/pry.rb

105 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/psych/syntax_error.rb

106 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/psych.so

107 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/psych/nodes/node.rb

108 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/psych/nodes/stream.rb

109 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/psych/nodes/document.rb
110 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/psych/nodes/sequence.rb

111 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/psych/nodes/scalar.rb

112 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/psych/nodes/mapping.rb

113 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/psych/nodes/alias.rb

114 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/psych/nodes.rb

115 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/psych/streaming.rb

116 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/psych/visitors/visitor.rb

117 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/strscan.so

118 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/psych/scalar_scanner.rb

119 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/psych/visitors/to_ruby.rb

120 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/psych/visitors/emitter.rb

121 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/psych/visitors/yaml_tree.rb

122 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/psych/json/ruby_events.rb

123 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/psych/visitors/json_tree.rb

124 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/psych/visitors/depth_first.rb

125 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/psych/visitors.rb

126 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/psych/handler.rb

127 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/psych/tree_builder.rb

128 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/psych/parser.rb

129 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/psych/omap.rb

130 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/psych/set.rb

131 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/psych/coder.rb

132 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/psych/core_ext.rb

133 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/date_core.so

134 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/date/format.rb

135 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/date.rb

136 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/psych/deprecated.rb

137 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/psych/stream.rb

138 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/psych/json/yaml_events.rb

139 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/psych/json/tree_builder.rb

140 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/psych/json/stream.rb

141 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/psych/handlers/document_stream.rb

142 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/psych.rb

143 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/yaml.rb

144 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/hirb-0.7.0/lib/hirb/util.rb

145 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/hirb-0.7.0/lib/hirb/string.rb

146 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/hirb-0.7.0/lib/hirb/formatter.rb

147 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/hirb-0.7.0/lib/hirb/dynamic_view.rb

148 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/hirb-0.7.0/lib/hirb/helpers/table/filters.rb

149 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/hirb-0.7.0/lib/hirb/helpers/table/resizer.rb

150 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/hirb-0.7.0/lib/hirb/helpers/table.rb

151 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/hirb-0.7.0/lib/hirb/helpers/object_table.rb

152 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/hirb-0.7.0/lib/hirb/helpers/auto_table.rb

153 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/hirb-0.7.0/lib/hirb/helpers/tree.rb

154 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/hirb-0.7.0/lib/hirb/helpers/parent_child_tree.rb

155 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/hirb-0.7.0/lib/hirb/helpers/vertical_table.rb

156 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/hirb-0.7.0/lib/hirb/helpers/markdown_table.rb

157 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/hirb-0.7.0/lib/hirb/helpers/unicode_table.rb

158 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/hirb-0.7.0/lib/hirb/helpers/tab_table.rb

159 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/hirb-0.7.0/lib/hirb/helpers.rb

160 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/hirb-0.7.0/lib/hirb/views/rails.rb

161 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/hirb-0.7.0/lib/hirb/views/orm.rb

162 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/hirb-0.7.0/lib/hirb/views/mongo_db.rb

163 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/hirb-0.7.0/lib/hirb/views/couch_db.rb

164 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/hirb-0.7.0/lib/hirb/views/misc_db.rb

165 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/hirb-0.7.0/lib/hirb/views.rb

166 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/hirb-0.7.0/lib/hirb/view.rb

167 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/hirb-0.7.0/lib/hirb/console.rb

168 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/hirb-0.7.0/lib/hirb/pager.rb

169 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/hirb-0.7.0/lib/hirb/menu.rb

170 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/hirb-0.7.0/lib/hirb/version.rb

171 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/hirb-0.7.0/lib/hirb.rb

172 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/coderay-1.0.8/lib/coderay/tokens_proxy.rb

173 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/coderay-1.0.8/lib/coderay/scanner.rb

174 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/coderay-1.0.8/lib/coderay/scanners/ruby.rb

175 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/coderay-1.0.8/lib/coderay/tokens.rb

176 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/coderay-1.0.8/lib/coderay/scanners/ruby/string_state.rb
177 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/coderay-1.0.8/lib/coderay/helpers/word_list.rb

178 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/coderay-1.0.8/lib/coderay/scanners/ruby/patterns.rb

179 /home/vlad/.rvm/gems/ruby-1.9.3-p327@global/gems/coderay-1.0.8/lib/coderay/encoders/_map.rb

180 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/enc/trans/single_byte.so

181 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/json/version.rb

182 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/json/common.rb

183 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/enc/utf_16be.so

184 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/enc/utf_16le.so

185 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/enc/utf_32be.so

186 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/enc/utf_32le.so

187 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/json/ext/parser.so

188 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/json/ext/generator.so

189 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/json/ext.rb

190 /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/json.rb

Process memory map:

00400000-00401000 r-xp 00000000 08:03 25695189                           /home/vlad/.rvm/rubies/ruby-1.9.3-p374/bin/ruby

00600000-00601000 r--p 00000000 08:03 25695189                           /home/vlad/.rvm/rubies/ruby-1.9.3-p374/bin/ruby

00601000-00602000 rw-p 00001000 08:03 25695189                           /home/vlad/.rvm/rubies/ruby-1.9.3-p374/bin/ruby

00af4000-01fb1000 rw-p 00000000 00:00 0                                  [heap]

7fa08c19e000-7fa08c1b3000 r-xp 00000000 08:01 7077991                    /lib64/libgcc_s.so.1

7fa08c1b3000-7fa08c3b2000 ---p 00015000 08:01 7077991                    /lib64/libgcc_s.so.1

7fa08c3b2000-7fa08c3b3000 r--p 00014000 08:01 7077991                    /lib64/libgcc_s.so.1

7fa08c3b3000-7fa08c3b4000 rw-p 00015000 08:01 7077991                    /lib64/libgcc_s.so.1

7fa08c3cf000-7fa08c3d8000 r-xp 00000000 08:03 27920796                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/json/ext/generator.so

7fa08c3d8000-7fa08c5d7000 ---p 00009000 08:03 27920796                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/json/ext/generator.so

7fa08c5d7000-7fa08c5d8000 r--p 00008000 08:03 27920796                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/json/ext/generator.so

7fa08c5d8000-7fa08c5d9000 rw-p 00009000 08:03 27920796                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/json/ext/generator.so

7fa08c5d9000-7fa08c5da000 r-xp 00000000 08:03 28052596                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/enc/utf_32le.so

7fa08c5da000-7fa08c7da000 ---p 00001000 08:03 28052596                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/enc/utf_32le.so

7fa08c7da000-7fa08c7db000 r--p 00001000 08:03 28052596                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/enc/utf_32le.so

7fa08c7db000-7fa08c7dc000 rw-p 00002000 08:03 28052596                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/enc/utf_32le.so

7fa08c7dc000-7fa08c7dd000 r-xp 00000000 08:03 28052592                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/enc/utf_32be.so

7fa08c7dd000-7fa08c9dd000 ---p 00001000 08:03 28052592                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/enc/utf_32be.so

7fa08c9dd000-7fa08c9de000 r--p 00001000 08:03 28052592                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/enc/utf_32be.so

7fa08c9de000-7fa08c9df000 rw-p 00002000 08:03 28052592                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/enc/utf_32be.so

7fa08c9df000-7fa08c9e0000 r-xp 00000000 08:03 28052579                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/enc/utf_16le.so

7fa08c9e0000-7fa08cbe0000 ---p 00001000 08:03 28052579                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/enc/utf_16le.so

7fa08cbe0000-7fa08cbe1000 r--p 00001000 08:03 28052579                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/enc/utf_16le.so

7fa08cbe1000-7fa08cbe2000 rw-p 00002000 08:03 28052579                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/enc/utf_16le.so

7fa08cbe2000-7fa08cbe3000 r-xp 00000000 08:03 28052574                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/enc/utf_16be.so

7fa08cbe3000-7fa08cde3000 ---p 00001000 08:03 28052574                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/enc/utf_16be.so

7fa08cde3000-7fa08cde4000 r--p 00001000 08:03 28052574                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/enc/utf_16be.so

7fa08cde4000-7fa08cde5000 rw-p 00002000 08:03 28052574                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/enc/utf_16be.so

7fa08cde5000-7fa08cdeb000 r-xp 00000000 08:03 27920797                  
/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/json/ext/parser.so

7fa08cdeb000-7fa08cfea000 ---p 00006000 08:03 27920797                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/json/ext/parser.so

7fa08cfea000-7fa08cfeb000 r--p 00005000 08:03 27920797                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/json/ext/parser.so

7fa08cfeb000-7fa08cfec000 rw-p 00006000 08:03 27920797                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/json/ext/parser.so

7fa08cfec000-7fa08d002000 r-xp 00000000 08:03 28183693                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/enc/trans/single_byte.so

7fa08d002000-7fa08d201000 ---p 00016000 08:03 28183693                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/enc/trans/single_byte.so

7fa08d201000-7fa08d206000 r--p 00015000 08:03 28183693                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/enc/trans/single_byte.so

7fa08d206000-7fa08d207000 rw-p 0001a000 08:03 28183693                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/enc/trans/single_byte.so

7fa08d207000-7fa08d23a000 r-xp 00000000 08:03 26217143                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/date_core.so

7fa08d23a000-7fa08d43a000 ---p 00033000 08:03 26217143                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/date_core.so

7fa08d43a000-7fa08d43b000 r--p 00033000 08:03 26217143                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/date_core.so

7fa08d43b000-7fa08d43c000 rw-p 00034000 08:03 26217143                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/date_core.so

7fa08d43c000-7fa08d43e000 rw-p 00000000 00:00 0

7fa08d43e000-7fa08d443000 r-xp 00000000 08:03 26217125                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/strscan.so

7fa08d443000-7fa08d642000 ---p 00005000 08:03 26217125                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/strscan.so

7fa08d642000-7fa08d643000 r--p 00004000 08:03 26217125                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/strscan.so

7fa08d643000-7fa08d644000 rw-p 00005000 08:03 26217125                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/strscan.so

7fa08d644000-7fa08d665000 r-xp 00000000 08:03 25561167                   /home/vlad/.rvm/usr/lib/libyaml-0.so.2.0.2

7fa08d665000-7fa08d864000 ---p 00021000 08:03 25561167                   /home/vlad/.rvm/usr/lib/libyaml-0.so.2.0.2

7fa08d864000-7fa08d865000 r--p 00020000 08:03 25561167                   /home/vlad/.rvm/usr/lib/libyaml-0.so.2.0.2

7fa08d865000-7fa08d866000 rw-p 00021000 08:03 25561167                   /home/vlad/.rvm/usr/lib/libyaml-0.so.2.0.2

7fa08d866000-7fa08d86c000 r-xp 00000000 08:03 26217129                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/psych.so

7fa08d86c000-7fa08da6b000 ---p 00006000 08:03 26217129                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/psych.so

7fa08da6b000-7fa08da6c000 r--p 00005000 08:03 26217129                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/psych.so

7fa08da6c000-7fa08da6d000 rw-p 00006000 08:03 26217129                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/psych.so

7fa08da6d000-7fa08da70000 r-xp 00000000 08:03 28836592                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/io/console.so

7fa08da70000-7fa08dc6f000 ---p 00003000 08:03 28836592                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/io/console.so

7fa08dc6f000-7fa08dc70000 r--p 00002000 08:03 28836592                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/io/console.so

7fa08dc70000-7fa08dc71000 rw-p 00003000 08:03 28836592                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/io/console.so

7fa08dc71000-7fa08dc74000 r-xp 00000000 08:03 26217138                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/etc.so

7fa08dc74000-7fa08de73000 ---p 00003000 08:03 26217138                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/etc.so

7fa08de73000-7fa08de74000 r--p 00002000 08:03 26217138                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/etc.so

7fa08de74000-7fa08de75000 rw-p 00003000 08:03 26217138                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/etc.so

7fa08de75000-7fa08de7c000 r-xp 00000000 08:03 26217144                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/stringio.so

7fa08de7c000-7fa08e07b000 ---p 00007000 08:03 26217144                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/stringio.so

7fa08e07b000-7fa08e07c000 r--p 00006000 08:03 26217144                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/stringio.so

7fa08e07c000-7fa08e07d000 rw-p 00007000 08:03 26217144                  
/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/stringio.so

7fa08e07d000-7fa08e0a6000 r-xp 00000000 08:01 7078122                    /lib64/libtinfo.so.5.9

7fa08e0a6000-7fa08e2a5000 ---p 00029000 08:01 7078122                    /lib64/libtinfo.so.5.9

7fa08e2a5000-7fa08e2a9000 r--p 00028000 08:01 7078122                    /lib64/libtinfo.so.5.9

7fa08e2a9000-7fa08e2ae000 rw-p 0002c000 08:01 7078122                    /lib64/libtinfo.so.5.9

7fa08e2ae000-7fa08e2af000 rw-p 00000000 00:00 0

7fa08e2af000-7fa08e2d3000 r-xp 00000000 08:01 7078112                    /lib64/libncurses.so.5.9

7fa08e2d3000-7fa08e4d2000 ---p 00024000 08:01 7078112                    /lib64/libncurses.so.5.9

7fa08e4d2000-7fa08e4d3000 r--p 00023000 08:01 7078112                    /lib64/libncurses.so.5.9

7fa08e4d3000-7fa08e4d4000 rw-p 00024000 08:01 7078112                    /lib64/libncurses.so.5.9

7fa08e4d4000-7fa08e50f000 r-xp 00000000 08:01 7078128                    /lib64/libreadline.so.6.2

7fa08e50f000-7fa08e70f000 ---p 0003b000 08:01 7078128                    /lib64/libreadline.so.6.2

7fa08e70f000-7fa08e711000 r--p 0003b000 08:01 7078128                    /lib64/libreadline.so.6.2

7fa08e711000-7fa08e717000 rw-p 0003d000 08:01 7078128                    /lib64/libreadline.so.6.2

7fa08e717000-7fa08e718000 rw-p 00000000 00:00 0

7fa08e733000-7fa08e739000 r-xp 00000000 08:03 26217135                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/readline.so

7fa08e739000-7fa08e938000 ---p 00006000 08:03 26217135                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/readline.so

7fa08e938000-7fa08e939000 r--p 00005000 08:03 26217135                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/readline.so

7fa08e939000-7fa08e93a000 rw-p 00006000 08:03 26217135                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/readline.so

7fa08e93a000-7fa08e93c000 r-xp 00000000 08:03 28183683                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/enc/trans/transdb.so

7fa08e93c000-7fa08eb3c000 ---p 00002000 08:03 28183683                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/enc/trans/transdb.so

7fa08eb3c000-7fa08eb3d000 r--p 00002000 08:03 28183683                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/enc/trans/transdb.so

7fa08eb3d000-7fa08eb3e000 rw-p 00003000 08:03 28183683                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/enc/trans/transdb.so

7fa08eb3e000-7fa08eb40000 r-xp 00000000 08:03 28052583                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/enc/encdb.so

7fa08eb40000-7fa08ed3f000 ---p 00002000 08:03 28052583                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/enc/encdb.so

7fa08ed3f000-7fa08ed40000 r--p 00001000 08:03 28052583                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/enc/encdb.so

7fa08ed40000-7fa08ed41000 rw-p 00002000 08:03 28052583                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/ruby/1.9.1/x86_64-linux/enc/encdb.so

7fa08ed41000-7fa08eedc000 r-xp 00000000 08:01 7077949                    /lib64/libc-2.15.so

7fa08eedc000-7fa08f0dc000 ---p 0019b000 08:01 7077949                    /lib64/libc-2.15.so

7fa08f0dc000-7fa08f0e0000 r--p 0019b000 08:01 7077949                    /lib64/libc-2.15.so

7fa08f0e0000-7fa08f0e2000 rw-p 0019f000 08:01 7077949                    /lib64/libc-2.15.so

7fa08f0e2000-7fa08f0e6000 rw-p 00000000 00:00 0

7fa08f0e6000-7fa08f1db000 r-xp 00000000 08:01 7077910                    /lib64/libm-2.15.so

7fa08f1db000-7fa08f3db000 ---p 000f5000 08:01 7077910                    /lib64/libm-2.15.so

7fa08f3db000-7fa08f3dc000 r--p 000f5000 08:01 7077910                    /lib64/libm-2.15.so

7fa08f3dc000-7fa08f3dd000 rw-p 000f6000 08:01 7077910                    /lib64/libm-2.15.so

7fa08f3dd000-7fa08f3e9000 r-xp 00000000 08:01 7077976                    /lib64/libcrypt-2.15.so

7fa08f3e9000-7fa08f5e8000 ---p 0000c000 08:01 7077976                    /lib64/libcrypt-2.15.so

7fa08f5e8000-7fa08f5e9000 r--p 0000b000 08:01 7077976                    /lib64/libcrypt-2.15.so

7fa08f5e9000-7fa08f5ea000 rw-p 0000c000 08:01 7077976                    /lib64/libcrypt-2.15.so

7fa08f5ea000-7fa08f619000 rw-p 00000000 00:00 0

7fa08f619000-7fa08f61c000 r-xp 00000000 08:01 7077891                    /lib64/libdl-2.15.so

7fa08f61c000-7fa08f81b000 ---p 00003000 08:01 7077891                    /lib64/libdl-2.15.so

7fa08f81b000-7fa08f81c000 r--p 00002000 08:01 7077891                    /lib64/libdl-2.15.so

7fa08f81c000-7fa08f81d000 rw-p 00003000 08:01 7077891                    /lib64/libdl-2.15.so

7fa08f81d000-7fa08f824000 r-xp 00000000 08:01 7077909                    /lib64/librt-2.15.so

7fa08f824000-7fa08fa23000 ---p 00007000 08:01 7077909                    /lib64/librt-2.15.so

7fa08fa23000-7fa08fa24000 r--p 00006000 08:01 7077909                    /lib64/librt-2.15.so

7fa08fa24000-7fa08fa25000 rw-p 00007000 08:01 7077909                    /lib64/librt-2.15.so

7fa08fa25000-7fa08fa3c000 r-xp 00000000 08:01 7077896                    /lib64/libpthread-2.15.so

7fa08fa3c000-7fa08fc3b000 ---p 00017000 08:01 7077896                    /lib64/libpthread-2.15.so

7fa08fc3b000-7fa08fc3c000 r--p 00016000 08:01 7077896                    /lib64/libpthread-2.15.so

7fa08fc3c000-7fa08fc3d000 rw-p 00017000 08:01 7077896                    /lib64/libpthread-2.15.so

7fa08fc3d000-7fa08fc41000 rw-p 00000000 00:00 0

7fa08fc41000-7fa08fe70000 r-xp 00000000 08:03 25826571                  
/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9.1

7fa08fe70000-7fa09006f000 ---p 0022f000 08:03 25826571                   /home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9.1

7fa09006f000-7fa090074000 r--p 0022e000 08:03 25826571                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9.1

7fa090074000-7fa090078000 rw-p 00233000 08:03 25826571                  

/home/vlad/.rvm/rubies/ruby-1.9.3-p374/lib64/libruby.so.1.9.1

7fa090078000-7fa090094000 rw-p 00000000 00:00 0

7fa090094000-7fa0900b5000 r-xp 00000000 08:01 7077893                    /lib64/ld-2.15.so

7fa090154000-7fa090256000 rw-p 00000000 00:00 0

7fa090256000-7fa090295000 r--p 00000000 08:01 3545588                    /usr/lib/locale/ru_RU.utf8/LC_CTYPE

7fa090295000-7fa090299000 rw-p 00000000 00:00 0

7fa0902a8000-7fa0902a9000 rw-p 00000000 00:00 0

7fa0902a9000-7fa0902aa000 ---p 00000000 00:00 0

7fa0902aa000-7fa0902ad000 rw-p 00000000 00:00 0                          [stack:30329]

7fa0902ad000-7fa0902b4000 r--s 00000000 08:01 3936625                    /usr/lib64/gconv/gconv-modules.cache

7fa0902b4000-7fa0902b5000 rw-p 00000000 00:00 0

7fa0902b5000-7fa0902b6000 r--p 00021000 08:01 7077893                    /lib64/ld-2.15.so

7fa0902b6000-7fa0902b7000 rw-p 00022000 08:01 7077893                    /lib64/ld-2.15.so

7fa0902b7000-7fa0902b8000 rw-p 00000000 00:00 0

7fff109dc000-7fff109fe000 rw-p 00000000 00:00 0

7fff109ff000-7fff10a00000 r-xp 00000000 00:00 0                          [vdso]

ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

[NOTE]

You may have encountered a bug in the Ruby interpreter or extension libraries.

Bug reports are welcome.

For details: http://www.ruby-lang.org/bugreport.html

[1]    30312 abort      irb

History

#1 - 02/18/2013 08:51 AM - ko1 (Koichi Sasada)

- Assignee set to naruse (Yui NARUSE)

#2 - 02/26/2013 10:19 AM - naruse (Yui NARUSE)

- Target version changed from 1.9.3 to 2.6

#3 - 06/05/2014 06:55 AM - hsbt (Hiroshi SHIBATA)

I can reproduce this.

hsbt@chkbuild003:~$ ruby -rjson -e '::JSON.parse(nil, :quirks_mode => true)'

ruby 1.9.3p484 (2013-11-22 revision 43786) [x86_64-linux]

/usr/lib/ruby/1.9.1/json/common.rb:148: [BUG] Segmentation fault

 but Ruby 1.9 series is only security maintenance phase.

#4 - 08/12/2014 04:18 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Feedback

Please use Ruby 2.0 or 2.1.

#5 - 10/21/2017 10:55 AM - naruse (Yui NARUSE)

- Status changed from Feedback to Closed
